net.corda.node.services.statemachine

## Class FlowSessionState.Initiated

- FlowSessionState
- - net.corda.node.services.statemachine.FlowSessionState.Initiated

- Enclosing class:
    FlowSessionState

      public static class FlowSessionState.Initiated
      extends FlowSessionState

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.services.statemachine.FlowSessionState

      `FlowSessionState.Initiated, FlowSessionState.Initiating`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Initiated(Party peerParty, long peerSessionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `getPeerParty()`
    `long` | `getPeerSessionId()`
    `Party` | `getSendToParty()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.corda.node.services.statemachine.FlowSessionState

      `getSendToParty`

- - ### Constructor Detail

    - #### Initiated

          public Initiated(Party peerParty,
                           long peerSessionId)

  - ### Method Detail

    - #### getSendToParty

          public Party getSendToParty()

    - #### toString

          public java.lang.String toString()

    - #### getPeerParty

          public Party getPeerParty()

    - #### getPeerSessionId

          public long getPeerSessionId()